Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Add `notStrictEqual()` for 'assert' compatibility

Although node-tap's `assert` is already somewhat incompatible with
Node's 'assert' module (for instance, `assert.equal()` here uses
threequality instead of coercive equality), the complete lack of
`notStrictEqual` to match 'assert's might as well be fixed.
  • Loading branch information...
commit 8884ec1572b55eba0b3dffe06b5e45e6dd9cda66 1 parent afc08f8
@ELLIOTTCABLE ELLIOTTCABLE authored committed
Showing with 2 additions and 0 deletions.
  1. +2 −0  lib/tap-assert.js
View
2  lib/tap-assert.js
@@ -202,6 +202,8 @@ function inequal (a, b, message, extra) {
assert.inequal = inequal
syns.inequal = ["notEqual"
,"notEquals"
+ ,"notStrictEqual"
+ ,"notStrictEquals"
,"isNotEqual"
,"isNot"
,"not"
Please sign in to comment.
Something went wrong with that request. Please try again.